Page MenuHomePhabricator

[Regression wmf20] Internal links, when clicked in a Reference context menu does nothing.
Closed, ResolvedPublic

Description

Environment- beta, test2
Browser- Chrome 41, FF 36

1> Click on Basic from Cite Tools menu
2> In the reference editor enter an internal link(ex- Time) and an external link(http://www.cnn.com).
3> Click to Insert.
4> Click on the basic citation again and in the context menu hover the internal link. Note the cursor is pointer, although when you click on the link, it does nothing.
Also for the external links the numbers are not shown beside the link icon.

Event Timeline

Swainr created this task.Mar 11 2015, 6:45 PM
Swainr raised the priority of this task from to Needs Triage.
Swainr updated the task description. (Show Details)
Swainr added a subscriber: Swainr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2015, 6:45 PM
Catrope set Security to None.
Etonkovidova triaged this task as High priority.Mar 12 2015, 5:20 PM
Jdforrester-WMF renamed this task from [Regression wmf-20]- Internal links, when clicked in a Reference context menu does nothing. to [Regression wmf20] Internal links, when clicked in a Reference context menu does nothing..Mar 12 2015, 7:10 PM

Change 196481 had a related patch set uploaded (by Trevor Parscal):
Stringify and parse rendered references

https://gerrit.wikimedia.org/r/196481

Change 196481 merged by jenkins-bot:
Stringify and parse rendered references

https://gerrit.wikimedia.org/r/196481

Jdforrester-WMF closed this task as Resolved.Mar 16 2015, 6:41 PM
Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.
Ryasmeen added a subscriber: Ryasmeen.EditedMar 27 2015, 9:28 PM

Are we showing just the icon for external link in the context menu ?
Also, in en.wiki after clicking on an internal link it momentarily loads a 404 page and then after few seconds redirects to the right page.
Re-opening this issue for these concerns.

Ryasmeen reopened this task as Open.Mar 27 2015, 9:28 PM
Jdforrester-WMF closed this task as Resolved.Jun 2 2015, 10:57 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Are we showing just the icon for external link in the context menu ?

We show nothing for link nodes, intentionally.

Also, in en.wiki after clicking on an internal link it momentarily loads a 404 page and then after few seconds redirects to the right page.

Yeah, that was the /w/ bug, now fixed.

Re-opening this issue for these concerns.

Re-closing.